<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:element name="knjiga">
		<xs:annotation>
			<xs:documentation>Comment describing your root element</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="avtor" type="xs:string"/>
				<xs:element name="naslov" type="xs:string"/>
				<xs:element name="koda">
					<xs:complexType>
						<xs:attribute name="isbn" type="xs:string" use="required"/>
						<xs:attribute name="medij" type="xs:string" use="optional"/>
					</xs:complexType>
				</xs:element>
				<xs:element name="poglavje" maxOccurs="unbounded">
					<xs:complexType mixed="true">
						<xs:sequence>
							<xs:element name="odstavek" type="xs:string" maxOccurs="unbounded"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
</xs:schema>
